Skip to content

updateSalesOrderStatus

WRITE

Update sales order status.

POST /api/v1/sales/updateSalesOrderStatus
curl -X POST '<your-host>/api/v1/sales/updateSalesOrderStatus' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string",
    "status": "Draft",
    "assignee": "string"
  }'

Parameters

ParameterType
"Draft""In Progress""Needs Approval""To Ship and Invoice""To Ship""To Invoice""Completed""Cancelled""Closed"

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "In Progress",
        "Needs Approval",
        "To Ship and Invoice",
        "To Ship",
        "To Invoice",
        "Completed",
        "Cancelled",
        "Closed"
      ]
    },
    "assignee": {
      "type": "null"
    }
  },
  "required": [
    "id",
    "status",
    "assignee"
  ]
}